#include <fstream>
#include <iomanip>
using namespace std;

int main()
{
  ifstream fi ("stnn.inp");
  ofstream fo ("stnn.out");
  int n;
  fi>>n;
  fi.close();
  float sumc=0,suml=0,sum=0;int numc=0,numl=0,num=0;
  for (int i=0;i<=n;i++){
    if (i%2==0){numc++;sumc=sumc+i;}
    if (i%2==1){numl++;suml=suml+i;}
    num++;sum=sum+i;
  }
  fo<<fixed<<setprecision(2)<<sumc<<" "<<float (sumc/numc)<<endl<<suml<<" "<<float(suml/numl)<<endl<<sum<<" "<<float(sum/num);
  fo.close();
}
